curl --request GET \
--url https://api.yapily.com/institutions/{institutionId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/institutions/{institutionId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/institutions/{institutionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yapily.com/institutions/{institutionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yapily.com/institutions/{institutionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yapily.com/institutions/{institutionId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yapily.com/institutions/{institutionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "modelo-sandbox",
"name": "Modelo Sandbox",
"fullName": "Modelo Sandbox",
"countries": [
{
"displayName": "Italy",
"countryCode2": "IT",
"bic": "MODEIT21XXX"
},
{
"displayName": "United Kingdom",
"countryCode2": "GB",
"bic": "MODEGB21XXX"
}
],
"environmentType": "SANDBOX",
"credentialsType": "OPEN_BANKING_UK_AUTO",
"media": [
{
"source": "https://images.yapily.com/image/ce2bfdbf-1ae2-4919-ab7b-e8b3d5e93b36?size=0",
"type": "icon"
},
{
"source": "https://images.yapily.com/image/ca502f24-d6df-4785-b4b8-1034b100af77?size=0",
"type": "logo"
}
],
"features": [
"ACCOUNT_BALANCES",
"INITIATE_BULK_PAYMENT",
"ACCOUNT_BENEFICIARIES",
"ACCOUNT_SCHEDULED_PAYMENTS",
"EXISTING_PAYMENTS_DETAILS",
"ACCOUNT_TRANSACTIONS",
"ACCOUNT_STATEMENTS",
"INITIATE_DOMESTIC_PERIODIC_PAYMENT",
"INITIATE_ACCOUNT_REQUEST",
"IDENTITY",
"ACCOUNT_PERIODIC_PAYMENTS",
"ACCOUNT_REQUEST_DETAILS",
"ACCOUNT_TRANSACTIONS_WITH_MERCHANT",
"INITIATE_SINGLE_PAYMENT_SORTCODE",
"INITIATE_DOMESTIC_SINGLE_PAYMENT",
"INITIATE_DOMESTIC_SCHEDULED_PAYMENT",
"ACCOUNT_STATEMENT",
"CREATE_DOMESTIC_SINGLE_PAYMENT",
"ACCOUNT_STATEMENT_FILE",
"CREATE_DOMESTIC_PERIODIC_PAYMENT",
"CREATE_DOMESTIC_SCHEDULED_PAYMENT",
"EXISTING_PAYMENT_INITIATION_DETAILS",
"INITIATE_INTERNATIONAL_SINGLE_PAYMENT",
"CREATE_SINGLE_PAYMENT_SORTCODE",
"CREATE_BULK_PAYMENT",
"CREATE_INTERNATIONAL_SINGLE_PAYMENT",
"ACCOUNT",
"PERIODIC_PAYMENT_FREQUENCY_EXTENDED",
"ACCOUNT_DIRECT_DEBITS",
"ACCOUNTS"
]
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Get Institution
Used to retrieves details of a specific Institution within an application
curl --request GET \
--url https://api.yapily.com/institutions/{institutionId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/institutions/{institutionId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/institutions/{institutionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yapily.com/institutions/{institutionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.yapily.com/institutions/{institutionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.yapily.com/institutions/{institutionId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yapily.com/institutions/{institutionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "modelo-sandbox",
"name": "Modelo Sandbox",
"fullName": "Modelo Sandbox",
"countries": [
{
"displayName": "Italy",
"countryCode2": "IT",
"bic": "MODEIT21XXX"
},
{
"displayName": "United Kingdom",
"countryCode2": "GB",
"bic": "MODEGB21XXX"
}
],
"environmentType": "SANDBOX",
"credentialsType": "OPEN_BANKING_UK_AUTO",
"media": [
{
"source": "https://images.yapily.com/image/ce2bfdbf-1ae2-4919-ab7b-e8b3d5e93b36?size=0",
"type": "icon"
},
{
"source": "https://images.yapily.com/image/ca502f24-d6df-4785-b4b8-1034b100af77?size=0",
"type": "logo"
}
],
"features": [
"ACCOUNT_BALANCES",
"INITIATE_BULK_PAYMENT",
"ACCOUNT_BENEFICIARIES",
"ACCOUNT_SCHEDULED_PAYMENTS",
"EXISTING_PAYMENTS_DETAILS",
"ACCOUNT_TRANSACTIONS",
"ACCOUNT_STATEMENTS",
"INITIATE_DOMESTIC_PERIODIC_PAYMENT",
"INITIATE_ACCOUNT_REQUEST",
"IDENTITY",
"ACCOUNT_PERIODIC_PAYMENTS",
"ACCOUNT_REQUEST_DETAILS",
"ACCOUNT_TRANSACTIONS_WITH_MERCHANT",
"INITIATE_SINGLE_PAYMENT_SORTCODE",
"INITIATE_DOMESTIC_SINGLE_PAYMENT",
"INITIATE_DOMESTIC_SCHEDULED_PAYMENT",
"ACCOUNT_STATEMENT",
"CREATE_DOMESTIC_SINGLE_PAYMENT",
"ACCOUNT_STATEMENT_FILE",
"CREATE_DOMESTIC_PERIODIC_PAYMENT",
"CREATE_DOMESTIC_SCHEDULED_PAYMENT",
"EXISTING_PAYMENT_INITIATION_DETAILS",
"INITIATE_INTERNATIONAL_SINGLE_PAYMENT",
"CREATE_SINGLE_PAYMENT_SORTCODE",
"CREATE_BULK_PAYMENT",
"CREATE_INTERNATIONAL_SINGLE_PAYMENT",
"ACCOUNT",
"PERIODIC_PAYMENT_FREQUENCY_EXTENDED",
"ACCOUNT_DIRECT_DEBITS",
"ACCOUNTS"
]
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Mandatory. The Yapily institution Id for the Institution.
Response
Ok
Typically, a bank or business unit within a bank e.g. (AIB Business, AIB Ireland, AIB UK).
Unique identifier for the Institution.
The friendly name of the Institution.
The full name of the Institution.
An array of Country denoting which regions the Institution provides coverage for
Show child attributes
Show child attributes
The environment type.
See Institution Configuration for more information
SANDBOX, MOCK, LIVE The type of credentials required to register the Institution
OAUTH1, OAUTH2, OAUTH2_NOSECRET, OAUTH2_SIGNATURE, OPEN_BANKING_UK_MANUAL, OPEN_BANKING_UK_AUTO, OPEN_BANKING_IBM, OPEN_BANKING_AUTO, OPEN_BANKING_AUTO_EMAIL, OPEN_BANKING_MANUAL, OPEN_BANKING_WITH_TPP_ID_AND_SECRET, API_KEY, OPEN_BANKING_NO_KEY, OPEN_BANKING_NO_TRANSPORT, TOKEN_IO Contains links to the logo and the icons for the Institution
Show child attributes
Show child attributes
Used to describe what functions are supported by the associated Institution.
For more information on each feature, see the following links:
INITIATE_PRE_AUTHORISATION, INITIATE_PRE_AUTHORISATION_ACCOUNTS, INITIATE_PRE_AUTHORISATION_PAYMENTS, INITIATE_ACCOUNT_REQUEST, INITIATE_EMBEDDED_ACCOUNT_REQUEST, ACCOUNT_REQUEST_DETAILS, ACCOUNTS, ACCOUNT, ACCOUNT_TRANSACTIONS, ACCOUNT_STATEMENTS, ACCOUNT_STATEMENT, ACCOUNT_STATEMENT_FILE, ACCOUNT_SCHEDULED_PAYMENTS, ACCOUNT_DIRECT_DEBITS, ACCOUNT_PERIODIC_PAYMENTS, ACCOUNT_TRANSACTIONS_WITH_MERCHANT, IDENTITY, ACCOUNTS_WITHOUT_BALANCE, ACCOUNT_WITHOUT_BALANCE, ACCOUNT_BALANCES, INITIATE_SINGLE_PAYMENT_SORTCODE, EXISTING_PAYMENT_INITIATION_DETAILS, CREATE_SINGLE_PAYMENT_SORTCODE, EXISTING_PAYMENTS_DETAILS, INITIATE_DOMESTIC_SINGLE_PAYMENT, INITIATE_EMBEDDED_DOMESTIC_SINGLE_PAYMENT, CREATE_DOMESTIC_SINGLE_PAYMENT, INITIATE_EMBEDDED_BULK_PAYMENT, INITIATE_DOMESTIC_SINGLE_INSTANT_PAYMENT, CREATE_DOMESTIC_SINGLE_INSTANT_PAYMENT, INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT, CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT, INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING, CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING, INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_COMMERCIAL, CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_COMMERCIAL, INITIATE_DOMESTIC_SCHEDULED_PAYMENT, CREATE_DOMESTIC_SCHEDULED_PAYMENT, INITIATE_DOMESTIC_PERIODIC_PAYMENT, CREATE_DOMESTIC_PERIODIC_PAYMENT, PERIODIC_PAYMENT_FREQUENCY_EXTENDED, INITIATE_INTERNATIONAL_SCHEDULED_PAYMENT, CREATE_INTERNATIONAL_SCHEDULED_PAYMENT, INITIATE_INTERNATIONAL_PERIODIC_PAYMENT, CREATE_INTERNATIONAL_PERIODIC_PAYMENT, INITIATE_INTERNATIONAL_SINGLE_PAYMENT, CREATE_INTERNATIONAL_SINGLE_PAYMENT, INITIATE_BULK_PAYMENT, CREATE_BULK_PAYMENT, EXISTING_BULK_PAYMENT_DETAILS, TRANSFER, OPEN_DATA_PERSONAL_CURRENT_ACCOUNTS, OPEN_DATA_ATMS, READ_DOMESTIC_SINGLE_REFUND, READ_DOMESTIC_SCHEDULED_REFUND, READ_DOMESTIC_PERIODIC_PAYMENT_REFUND, READ_INTERNATIONAL_SINGLE_REFUND, READ_INTERNATIONAL_SCHEDULED_REFUND, ACCOUNT_BENEFICIARIES, INITIATE_ONETIME_PRE_AUTHORISATION_PAYMENTS, INITIATE_ONETIME_PRE_AUTHORISATION_ACCOUNTS, INITIATE_ONETIME_PRE_AUTHORISATION, VARIABLE_RECURRING_PAYMENT_FUNDS_CONFIRMATION Was this page helpful?